{*******************************************************}
{*                                                     *}
{*      Pro VCL Extensions Library                     *}
{*      AboutComponent Dialog Unit                     *}
{*                                                     *}
{*      Copyright (c) 1996-98 by Dmitry G. Barabash    *}
{*                                                     *}
{*******************************************************}

unit ProAbout;

interface

uses Classes, Controls, Forms, StdCtrls, ExtCtrls, ProCtrls;

{ TFrmAboutComponent }

type
  TFrmAboutComponent = class(TForm)
    PnlLogo: TProPanel;
    LblLogo: TProLabel;
    PnlInfo: TProPanel;
    LblComponent: TProLabel;
    LblProduct: TProLabel;
    LblCopyright: TLabel;
    LblAuthor: TLabel;
    LblHomePage1: TLabel;
    LblHomePage2: TLabel;
    BvlLine: TBevel;
    LblDescription: TProLabel;
    BtnOK: TProButton;
    procedure LblAuthorClick(Sender: TObject);
    procedure LblHomePage2Click(Sender: TObject);
  end;

{ Dialog procedure }

procedure AboutComponentDialog(Component : TComponent;
  const Description : string);
{ About dialog interface routine }

implementation

uses {$IFDEF WIN32} Windows, {$ELSE} WinTypes, WinProcs, SysUtils, {$ENDIF}
  ShellAPI;

{$R *.DFM}

{ Dialog procedure }

procedure AboutComponentDialog(Component : TComponent;
  const Description : string);
{ About dialog interface routine }
var
  ComponentName : string;
begin
  with TFrmAboutComponent.Create(Application) do
  try
    ComponentName := Component.ClassName;
    Delete(ComponentName, 1, 1);
    Caption := 'About ' + ComponentName + ' Component';
    LblComponent.Caption := ComponentName;
    LblDescription.Caption := Description;
    ShowModal;
  finally
    Free;
  end;
end; { ShowAboutComponent }


{ TFrmAboutComponent }

procedure TFrmAboutComponent.LblAuthorClick(Sender: TObject);
{$IFNDEF WIN32}
var
  Buffer : array[0..255] of Char;
{$ENDIF}
begin
{$IFNDEF WIN32}
  ShellExecute(Handle, 'open', StrPCopy(Buffer, 'mailto:dgb@farlep.net'),
    nil, nil, SW_SHOW);
{$ELSE}
  ShellExecute(Handle, 'open', PChar('mailto:dgb@farlep.net'),
    nil, nil, SW_SHOW);
{$ENDIF}
end;

procedure TFrmAboutComponent.LblHomePage2Click(Sender: TObject);
{$IFNDEF WIN32}
var
  Buffer : array[0..255] of Char;
{$ENDIF}
begin
{$IFNDEF WIN32}
  ShellExecute(Handle, 'open', StrPCopy(Buffer, LblHomePage2.Caption),
    nil, nil, SW_SHOW);
{$ELSE}
  ShellExecute(Handle, 'open', PChar(LblHomePage2.Caption),
    nil, nil, SW_SHOW);
{$ENDIF}
end;

end.
